Package pyplusplus :: Package function_transformers :: Module controllers :: Class virtual_mem_fun_controller_t :: Class default_fun_controller_t

# type default_fun_controller_t

source code

             object --+
                      |
      controller_base_t --+
                          |
    sealed_fun_controller_t --+
                              |
                             virtual_mem_fun_controller_t.default_fun_controller_t

Instance Methods

__init__(self, function) | source code

Inherited from `sealed_fun_controller_t`: `add_post_call_code`, `add_pre_call_code`, `declare_variable`, `find_wrapper_arg`, `modify_arg_expression`, `register_variable_name`, `remove_wrapper_arg`, `return_variable` Inherited from `controller_base_t`: `apply`

Properties
| inst_arg
| template
Inherited from `sealed_fun_controller_t`: `arg_expressions`, `post_call`, `pre_call`, `result_variable`, `return_variables`, `variables`, `wrapper_args`, `wrapper_return_type` Inherited from `controller_base_t`: `function`

Method Details

### __init__(self, function)
(Constructor)

source code

Overrides: controller_base_t.__init__

Property Details

### inst_arg

### template